Skip to main content

Reinstall GitLab webhook

POST /integration/gitlab/reinstall-webhook

Reinstall GitLab webhook for a specific resource immediately. This endpoint validates permissions, resets webhook status in the database, and immediately installs the webhook on the specified resource.

Request body​

FieldTypeRequiredDescription
resourceResourceIdentifieryes—

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
resource_idstringyes—
resource_typestringyes—
successbooleanyes—
error`stringnull`yes

Operation ID: reinstall_gitlab_webhook_integration_gitlab_reinstall_webhook_post